import { Component, Inject, OnInit } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';

import { AddAction } from '../../models/add-action.enum';
import { JumpResp } from '../../models/jump';
import { JumpService } from '../../services/jump.service';
import { ServiceComm } from '../../services/service-comm.service';

@Component({
  selector: 'app-jump-infos',
  templateUrl: './jump-infos.component.html',
  styleUrls: ['./jump-infos.component.css']
})
export class JumpInfosComponent implements OnInit {
  public editMode: boolean;
  public jump: JumpResp

  constructor(@Inject(MAT_DIALOG_DATA) public data: any,
              private serviceJump: JumpService,
              private serviceComm: ServiceComm) {
    this.jump = new JumpResp(data.jump);
    this.editMode = data.editMode;
  }

  ngOnInit(): void {}

  public updateJump() {
    this.serviceJump.UpdateJump(this.jump.id,
                                this.jump.isSpecial,
                                this.jump.withCutaway,
                                this.jump.notes)
                      .subscribe(() => {
                        this.serviceComm.RefreshData(AddAction.Jump);
                      });
  }
}
